import { SetValueCommand } from './set-value-command';
import { WebSocketMessage } from './websocket-message';

export interface ConsoleReadMessage extends WebSocketMessage {}

export interface ConsoleWriteMessage extends WebSocketMessage {
  value: string;
}

export interface ConsoleLiveLogsMessage extends WebSocketMessage, SetValueCommand<boolean> {}

export interface ConsoleRewriteContentMessage extends WebSocketMessage, SetValueCommand<string> {}
